@import "mixins";

// Variables
// $primary-font: "Josefin Sans", sans-serif;
// $secondary-font: "Droid Serif", serif;
$primary-font: "poppins", Arial;
$secondary-font: "poppins-regular", monospace;
$primary-color: #ff7f2a;
$secondary-color: #000080;
$icon-font: "themefisher-font" !important;

@font-face {
  font-family: "poppins";
  src: url("/fonts/Poppins/Poppins-Light.ttf");
}
@font-face {
  font-family: "poppins-regular";
  src: url("/fonts/Poppins/Poppins-Light.ttf");
}
/*--
    Common Css
--*/
body {
  line-height: 25px;
  color: #3b4045;
  font-family: $secondary-font;
  // -webkit-font-smoothing: antialiased;
}

.bg-gk1 {
  background-color: $primary-color;
}

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  z-index: 999999;
  display: flex;
  align-items: center;
  justify-content: center;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 400;
  margin: 0px;
  margin-bottom: 10px;
  font-family: $primary-font;
}

h1,
.h1 {
  font-size: 44px;
  line-height: 56px;
}

h2,
.h2 {
  font-size: 30px;
  line-height: 35px;
}

h3,
.h3 {
  font-size: 23px;
  line-height: 25px;
}

h4,
.h4 {
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
}

p {
  font-size: 18px;
  line-height: 25px;
}

ul {
  padding: 0;
  margin-left: 3%;
  font-size: inherit;
  // list-style: none;
}

a {
  -webkit-transition: all 0.2s ease-in-out 0s;
  -moz-transition: all 0.2s ease-in-out 0s;
  -o-transition: all 0.2s ease-in-out 0s;
  transition: all 0.2s ease-in-out 0s;
}

.mt-100 {
  margin-top: 100px;
}

.bg-1 {
  background-image: url(../images/call-to-action.jpg);
}

.bg-orange {
  background: $primary-color;
}
.bg-blue {
  background: $secondary-color;
}

.bg-opacity {
  position: relative;

  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.7);
  }
}

a:focus,
.btn:focus,
.btn:active:focus {
  box-shadow: none;
  outline: 0 none;
}

a,
a:active,
a:focus,
a:active {
  text-decoration: none;
}

.section {
  padding: 30px 0;
}

.font-size-60 {
  font-size: 60px;
  line-height: 1.2;

  @include mobile {
    font-size: 40px;
  }
}

.mb-10 {
  margin-bottom: 10px;
}

.mb-40 {
  margin-bottom: 40px;
}

.slick-slide {
  outline: 0;
}

/*--
    custom heading
--*/
.text-center {
  text-align: center;
}

.heading {
  text-align: center;
  color: #777777;
  padding-bottom: 10px;

  h2 {
    color: #3c3c3c;
    padding-bottom: 15px;
    text-transform: capitalize;
    font-weight: 700;
    font-size: 40px;
    line-height: 40px;
  }

  p {
    font-size: 17px;
    line-height: 24px;
    font-weight: 300;
  }
}

.subheading {
  color: #3c3c3c;
  padding-bottom: 15px;
  text-transform: capitalize;
  font-weight: 500;
  font-size: 32px;
  line-height: 45px;
}

.btn {
  border-radius: 0;
  text-decoration: none !important;
}

.btn-main {
  color: #fff;
  border-radius: 30px;
  font-size: 18px;
  padding: 15px 40px;
  display: inline-block;
  background-color: $primary-color;
  box-shadow: 0 15px 40px rgba(249, 167, 68, 0.5);
  background-image: linear-gradient(
    bottom,
    rgba(255, 239, 206, 0) 0%,
    rgba(255, 239, 206, 0.25) 100%
  );

  &:hover,
  &:focus {
    background-color: $primary-color;
    color: #fff;
  }
}

.btn-main-sm {
  padding: 12px 35px;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: bold;
}

/* navigation */
.navbar {
  &-brand {
    color: orange;
    font-size: 25px;
    margin: 0;
    line-height: 1;
  }
}

.nav-link {
  font-size: 16px;
  font-weight: bold;
  padding: 10px 20px !important;
  text-align: center;
}

.navbar-light .navbar-nav .nav-link {
  color: #444;
}

.lang-list {
  border: 0;
  margin: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

/* cart */
.cart {
  background: transparent;
  border: 0;
  position: relative;
  i {
    font-size: 20px;
  }

  @include desktop {
    position: absolute;
    top: 23px;
    right: 90px;
  }

  .badge {
    position: absolute;
    top: -5px;
    border-radius: 50%;
    right: -10px;
  }
  &:focus {
    outline: 0;
  }
}

.badge-primary {
  background-color: $primary-color;
}

/*--
    Feature-list start
--*/
.feature-list {
  .btn-main {
    margin-top: 15px;
  }
}

/*--
  Gallery start
--*/
.gallery {
  padding-bottom: 100px;

  .owl-item {
    overflow: hidden;
    position: relative;
  }

  .block {
    padding: 20px;
    position: relative;

    &:hover .gallery-overlay {
      transform: scale(1);
      opacity: 1;
      border-radius: 0;
    }
  }

  .gallery-overlay {
    position: absolute;
    bottom: 15px;
    left: 15px;
    right: 15px;
    top: 15px;
    background: rgba(255, 255, 255, 0.85);
    text-decoration: none;
    color: inherit;
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
    -webkit-transition: 0.3s ease-in-out;
    transition: 0.3s ease-in-out;
    z-index: 2;
    opacity: 0;
    border-radius: 50%;

    .gallery-popup {
      text-align: center;
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
      background: $primary-color;
      padding: 5px 10px;
      border-radius: 40px;
      width: 50px;
      height: 50px;

      i {
        color: #fff;
        font-size: 30px;
        line-height: 40px;
        display: inline-block;
      }
    }
  }
}

/*--
    service start
--*/
.testimonials {
  .testimonial-block {
    padding: 0 10px;

    i {
      font-size: 40px;
      display: inline-block;
      margin-bottom: 20px;
      color: $primary-color;
    }

    p {
      font-family: $secondary-font;
      font-size: 14px;
      color: #777;
    }

    .author-details {
      margin-top: 30px;

      img {
        border-radius: 50%;
        width: 50px;
      }

      h4 {
        font-weight: 700;
        font-size: 20px;
        margin-top: 10px;
      }
    }
  }
}

/*--
    call-to-action start
--*/
.call-to-action {
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
}

.input-group {
  margin-top: 30px;
  position: relative;

  .btn-submit {
    padding: 10.5px 40px !important;
    position: absolute;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    top: 0;
    right: 0;
  }

  input {
    height: 50px;
    border-radius: 40px;
    border: none;
    padding-left: 15px;
    box-shadow: none;
    display: table-cell;
  }
}

.footer-menu {
  a {
    font-size: 14;
    font-weight: 700;
    color: #444;
    padding: 10px;
  }
}

footer {
  text-align: center;
  background: #f4f4f4;
  padding: 50px 0px;

  .footer-logo {
    color: #555;
    display: block;
  }

  p.copyright-text {
    font-weight: 300;
    font-size: 12px;
    color: #888;
    letter-spacing: 3px;
    margin-top: 15px;

    a {
      color: #282828;

      &:hover {
        text-decoration: none;
      }
    }
  }
}

// product single
p.price {
  font-size: 30px;
  font-family: $secondary-font;
}

s.price {
  color: red;
  font-size: 25px;
  font-family: $secondary-font;
}

.product-info {
  text-align: center;

  .price {
    font-size: 100%;
  }
}

// contact list
.contact-list {
  li,
  a {
    color: #282828;
    font-size: 18px;
  }
}

.form-control {
  border: 1px solid #dadada;
  border-radius: 35px;
  height: 50px;

  &:focus {
    border-color: $primary-color;
    box-shadow: none;
  }

  &::placeholder {
    font-size: 80%;
  }
}

textarea.form-control {
  height: 150px;
  padding-top: 15px;
}

.sticky-image {
  position: sticky;
  top: 100px;
  z-index: 1;
}

/* product sinngle page */

.product-image-slider {
  position: sticky;
  top: 80px;
  .slick-list {
    margin-bottom: 10px;
    border-radius: 5px;
  }

  .slick-dots {
    margin-top: 10px;
    padding-left: 0;
    display: flex;

    li {
      list-style-type: none;
      margin: 10px;
      border-radius: 5px;
      padding: 10px;
      cursor: pointer;

      &:first-child {
        margin-left: 0;
      }

      &:last-child {
        margin-right: 0;
      }

      img {
        max-height: 80px;
        height: auto;
        max-width: 100%;
      }
    }
  }
}

/* content style */
.content {
  * {
    margin-bottom: 20px;
  }

  a {
    text-decoration: underline;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-bottom: 10px;
  }

  ol,
  ul {
    padding-left: 10px;
  }

  table {
    text-align: left;
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    border: 1px solid #dee2e6;

    th,
    td {
      padding: 0.75rem;
      vertical-align: top;
      border: 1px solid #dee2e6;
    }

    thead {
      background: darken($color: #dadada, $amount: 2);
    }

    tbody {
      background: #dadada;

      td {
        text-align: left !important;
      }
    }
  }

  blockquote {
    border-left: 3px solid $primary-color;
    padding: 5px;
    background-color: Ivory;

    p {
      margin-bottom: 0;
      font-style: italic;
      font-size: inherit;
      font-weight: 400;
    }
  }

  pre {
    padding: 10px 20px;
    background: #dadada;
  }
}
.social-links {
  img {
    margin: 0.5em;
    width: 2em;
  }
  a {
    text-decoration: none;
  }
}

.gk-contact {
  img {
    margin: 1em;
    width: 50px;
  }
  figcaption {
    margin-top: 0.3em;
  }
}

.blog-post-border {
  border-left: 0.2em solid grey;
}
